from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import File, String, Boolean

Ncbimetajoin_Py_V0_1_0 = CommandToolBuilder(tool="NCBImetaJoin.py", base_command=["NCBImetaJoin.py"], inputs=[ToolInput(tag="in_database", input_type=File(optional=True), prefix="--database", doc=InputDocumentation(doc="Path to the sqlite database generated by NCBImeta.")), ToolInput(tag="in_anchor", input_type=String(optional=True), prefix="--anchor", doc=InputDocumentation(doc="Table in NCBImeta database to use as an anchor for")), ToolInput(tag="in_final", input_type=String(optional=True), prefix="--final", doc=InputDocumentation(doc="Name of the final table after the join")), ToolInput(tag="in_unique", input_type=String(optional=True), prefix="--unique", doc=InputDocumentation(doc="Column names in anchor table, to search for values in\naccessory tables ex. 'Accession BioProject'\n")), ToolInput(tag="in_accessory", input_type=Boolean(optional=True), prefix="--accessory", doc=InputDocumentation(doc="")), ToolInput(tag="in_joining", input_type=String(), position=0, doc=InputDocumentation(doc="--accessory DBACCESSORY"))], outputs=[], container=None, version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Ncbimetajoin_Py_V0_1_0().translate("wdl", allow_empty_container=True)

